VTK: vtkFileSeriesHelper::vtkTimeInformation Class Reference

| VTK 9.3.1

Public Member Functions | List of all members
vtkFileSeriesHelper::vtkTimeInformation Class Reference

`#include <vtkFileSeriesHelper.h>`

## Public Member Functions
| vtkTimeInformation (vtkInformation *outInfo)
| vtkTimeInformation (double time)
| vtkTimeInformation ()
bool | operator== (const vtkTimeInformation &other) const
const std::pair< double, double > & | GetTimeRange () const
const std::vector< double > & | GetTimeSteps () const
bool | GetTimeStepsValid () const
bool | GetTimeRangeValid () const
void | Save (vtkMultiProcessStream &stream) const
void | Load (vtkMultiProcessStream &stream)

## Detailed Description

Definition at line 162 of file vtkFileSeriesHelper.h.

## Constructor & Destructor Documentation

## ◆ vtkTimeInformation() [1/3]

vtkFileSeriesHelper::vtkTimeInformation::vtkTimeInformation | ( | vtkInformation * | outInfo | ) |

## ◆ vtkTimeInformation() [2/3]

vtkFileSeriesHelper::vtkTimeInformation::vtkTimeInformation | ( | double | time | ) |

## ◆ vtkTimeInformation() [3/3]

vtkFileSeriesHelper::vtkTimeInformation::vtkTimeInformation | ( |  | ) |

## Member Function Documentation

## ◆ operator==()

bool vtkFileSeriesHelper::vtkTimeInformation::operator== | ( | const vtkTimeInformation & | other | ) | const

## ◆ GetTimeRange()

const std::pair<double, double>& vtkFileSeriesHelper::vtkTimeInformation::GetTimeRange | ( |  | ) | const
| inline

Definition at line 170 of file vtkFileSeriesHelper.h.

## ◆ GetTimeSteps()

const std::vector<double>& vtkFileSeriesHelper::vtkTimeInformation::GetTimeSteps | ( |  | ) | const
| inline

Definition at line 171 of file vtkFileSeriesHelper.h.

## ◆ GetTimeStepsValid()

bool vtkFileSeriesHelper::vtkTimeInformation::GetTimeStepsValid | ( |  | ) | const
| inline

Definition at line 172 of file vtkFileSeriesHelper.h.

## ◆ GetTimeRangeValid()

bool vtkFileSeriesHelper::vtkTimeInformation::GetTimeRangeValid | ( |  | ) | const
| inline

Definition at line 173 of file vtkFileSeriesHelper.h.

## ◆ Save()

void vtkFileSeriesHelper::vtkTimeInformation::Save | ( | vtkMultiProcessStream & | stream | ) | const

## ◆ Load()

void vtkFileSeriesHelper::vtkTimeInformation::Load | ( | vtkMultiProcessStream & | stream | ) |

The documentation for this class was generated from the following file:

- IO/CGNS/vtkFileSeriesHelper.h